Name: hypersrc
Version: 2.1.6
Release: 1
Summary: hypersrc is a GUI program for browsing source code 
Copyright: GPL
Group: Development/Tools 
Source: ftp://ftp.jimbrooks.org/hypersrc/hypersrc-%{version}.tar.gz
Patch0: installdir.patch
URL: http://www.jimbrooks.org/web/hypersrc/hypersrc.html 
Buildroot: %{_tmppath}/%{name}-root
Requires: ctags >= 4.0.2
Requires: gtk+ >= 1.2.3

%description
hypersrc is a GUI program for browsing source code, built with GTK+. It
provides a list widget containing sorted source code tags. A programmer can
click a tag to hyperlink to a particular tagged line in a source code file.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_DIR=$RPM_BUILD_ROOT/usr/bin install

pushd $RPM_BUILD_ROOT/usr/bin
sed -e "s|/var/tmp/hypersrc-root/usr/bin/hypersrc|/usr/lib/hypersrc/hypersrc|; \
    s|/var/tmp/hypersrc-root/usr/bin/ctags.pl|/usr/lib/hypersrc/ctags.pl|; \
    s|/var/tmp/hypersrc-root/usr/bin/ctags|/usr/bin/ctags|" Hypersrc.pl >> Hypersrc.pl.new

mkdir -p $RPM_BUILD_ROOT/usr/lib/hypersrc
mv ctags.pl $RPM_BUILD_ROOT/usr/lib/hypersrc 
mv hypersrc $RPM_BUILD_ROOT/usr/lib/hypersrc

rm -f Hypersrc.pl

mv Hypersrc.pl.new Hypersrc
chmod +x Hypersrc

popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc LICENSE.txt README.txt 
/usr/bin/*
/usr/lib/hypersrc

%changelog
* Wed Jan  3 2001 Tim Powers <timp@redhat.com>
- updated to 2.1.6

* Thu Dec 21 2000 Tim Powers <timp@redhat.com>
- updated to 2.0.12

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Fri Nov 10 2000 Tim Powers <timp@redhat.com>
- updated to 2.0.7
- fixed some problems with paths in the Hypersrc.pl file. 

* Thu Aug 31 2000 Tim Powers <timp@redhat.com>
- initial package for Powertools
